pluginName = ExchangeGraph
provider = grogra.de

/plugins/de.grogra.ext.exchangegraph.ShortDescription = Support interface of exchange graph object. \
	Exchange graphs are graph that describe the same amount of topological and geometrical data as GroIMP graph. \
	They can be used as intermediate graph to export/import sub graph between GroIMP projects. <br> \
	During the export, Exchange graphs serialize the instanciation rules to add them to the graph.<br> \
	It includes support of the file types (for import & export): <br> \
	- ".xeg" 

aboutplugin.License = GPL

/disable/options/de.grogra.exchangegraph.Name = Exchange Graph


aboutplugin.tabs = license
aboutplugin.tab.license = License
aboutplugin.tab.license.content = gpl.html

/io/mimetypes/model\\/vnd.xeg.Name = ExchangeGraph
/io/mimetypes/model\\/vnd.xeg.Icon = `icon mimetypes/kpovmodeler_doc`

/io/mimetypes/application\\/x-java-jvm-local-objectref/xeg.Name = ExchangeGraph Import

/attributes/xeg.Name = ExchangeGraph
/attributes/xeg/view.Name = View

/io/xeg_io.Name = XEG
/io/xeg_io/import_instantiation.Name = Include instantiations rules